Summary: Database system for arbitrary perl data structures.
Name: MLDBM.pm
Requires: perl >= 5.003, Data-Dumper.pm 
Packager: Michael De La Rue <miked@ed.ac.uk>
Version: 1.21
Release: 4
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-category/07_Database_Interfaces/MLDBM/MLDBM-1.21.tar.gz
#This package is not relocatable and cannot have a different build
#root because it relies on perl's idea of the correct location of
#files.  

%description
MLDBM is a database system based on dbm that can be used to store any
perl data structure in a file and reload it quickly using an indexing
key.  It uses one of the underlying dbm style packages to do this and
can provide fast and convenient storage of large amounts of data under
the right circumstances.  It is very easy to use.

%prep
%setup -n MLDBM-1.21

%build
perl Makefile.PL
make
# wouldn't it be nice to have a pre-test and post-test section 
#make test || echo 'Build had errors; please fix'

%install
make install

%files
%doc README 
/usr/lib/perl5/site_perl/MLDBM.pm
/usr/lib/perl5/man/man3/MLDBM.3
